.main-login-container {
    display: flex;
    flex-flow: row;
    height: 100vh;
}

.main-login-left {
    background: #FFF;
    display: flex;
    width: 578px;
    padding: 198px 60px;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 23px;
    align-self: stretch;
    position: relative;
}

.main-login-title {
    color: #2F2F30;
    font-size: 28px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    letter-spacing: -0.84px;
}

.main-login-info-buttons {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    gap: 10px 15px;
    align-self: stretch;
    flex-wrap: wrap;
}

.main-login-info-buttons a {
    display: flex;
    padding: 10px 15px;
    align-items: center;
    gap: 10px;
    border-radius: 10px;
    color: #2F2F30;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: -0.48px;
}

.main-login-info-buttons a.bg1 {
    background: #EFF2FF;
}

.main-login-info-buttons a.bg2 {
    background: #E6E3FB;
}

.main-login-info-buttons a.bg3 {
    background: #F4E0FF;
}

.main-login-copy {
    color: #979FA6;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%; /* 16px */
    letter-spacing: -0.48px;
    position: absolute;
    bottom: 27px;
    left: 60px;
}

.main-login-right {
    display: flex;
    padding: 0 60px;
    flex-direction: column;
    justify-content: center;
    position: relative;
    flex: 1;
}

.main-login-form-title {
    color: #2F2F30;
    font-size: 28px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    letter-spacing: -0.84px;
    margin-bottom: 15px;
}

.main-login-footer {
    position: absolute;
    right: 60px;
    bottom: 27px;
    display: flex;
    align-items: center;
    gap: 22px;
}

.main-login-footer a {
    color: #979FA6;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%; /* 16px */
    letter-spacing: -0.48px;
}

.form-other-action {
    color: #2F2F30;
    font-size: 18px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    letter-spacing: -0.54px;
    margin-top: 10px;
}

.row-field-with-button {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    align-self: stretch;
    flex-direction: row;
}

.row-field-with-button .form-field {
    flex: 1;
}

.row-field-with-icon {
    display: flex;
    align-items: center;
    gap: 5px;
    align-self: stretch;
    flex-direction: row;
}

.row-field-with-icon .form-field {
    flex: 1;
}

.main-login-content {
    width: 505px;
}

.login-form-form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-self: stretch;
}

.restore-div {
    text-align: right;
    margin-top: 5px;
}

.restore-div a,
.restore-div a:hover {
    color: #5D6368;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: -0.48px;
}

.login-form-form-button {
    margin-top: 15px;
    margin-bottom: 5px;
    display: flex;
}

.error-text {
    color: #E42313;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: -0.48px;
}

.main-login-page-info {
    color: #2F2F30;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: -0.48px;
    margin-bottom: 15px;
}

.main-login-page-info.flex {
    display: flex;
    gap: 5px;
}

.main-login-mobile-logo {
    display: none;
}

.main-login-footer div {
    display: none;
}

.field-signupform-agreement .form-check,
.field-signupform-subscribe .form-check {
    align-items: flex-start;
}

.field-signupform-agreement .form-check .form-check-label,
.field-signupform-subscribe .form-check .form-check-label {
    margin-top: -4px;
}

@media screen and (max-width: 767px) {
    .main-login-container {
        flex-direction: column;
    }

    .main-login-left {
        display: none;
    }

    .main-login-right {
        padding: 0 15px;
        justify-content: space-between;
    }

    .main-login-content {
        width: 100%;
    }

    .main-login-form-title {
        letter-spacing: -0.72px;
        font-size: 24px;
        margin-bottom: 12px;
    }

    .row-field-with-button {
        flex-direction: column;
        gap: 15px;
        align-items: unset;
    }

    .form-other-action {
        margin-top: 15px;
    }

    .main-login-mobile-logo {
        display: flex;
        margin-top: 20px;
    }

    .main-login-footer {
        position: unset;
        padding: 27px 0;
        flex-wrap: wrap;
        gap: 5px 22px;
    }

    .main-login-footer div {
        display: flex;
        width: 100%;
        color: #979FA6;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 100%; /* 16px */
        letter-spacing: -0.48px;
    }

    .main-login-page-info {
        font-size: 15px;
        letter-spacing: -0.45px;
    }

    .restore-div a,
    .restore-div a:hover {
        font-size: 15px;
        letter-spacing: -0.45px;
    }

    .login-form-form-button .btn {
        flex: 1;
    }
}

/* Стили для intl-tel-input */
.form-field .iti {
    width: 100%;
    position: relative;
    display: block;
}

.form-field .iti input {
    /*padding-left: 90px !important;
    padding-right: 15px !important;*/
    padding: 10px;
}

.form-field .iti__flag-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    padding: 0;
    display: flex;
    align-items: center;
    z-index: 1;
}

.form-field .iti__selected-flag {
    z-index: 2;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: 100%;
    padding: 0 8px;
    cursor: pointer;
    width: 85px;
}

.form-field .iti__selected-flag:focus {
    outline: none;
}

.form-field .iti__arrow {
    margin-left: 6px;
    width: 0;
    height: 0;
    border-left: 3px solid transparent;
    border-right: 3px solid transparent;
    border-top: 4px solid #555;
}

.form-field .iti__country-list {
    position: absolute;
    z-index: 9999;
    list-style: none;
    text-align: left;
    padding: 0;
    margin: 0 0 0 -1px;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.2);
    background-color: white;
    border: 1px solid #ccc;
    white-space: nowrap;
    max-height: 200px;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
    border-radius: 10px;
    top: 100%;
    margin-top: 1px;
    width: 100%;
}

.form-field .iti__country {
    padding: 5px 10px;
    outline: none;
    cursor: pointer;
}

.form-field .iti__country:hover,
.form-field .iti__country.iti__highlight {
    background-color: rgba(0, 0, 0, 0.05);
}

.form-field .iti__country-name,
.form-field .iti__dial-code {
    vertical-align: middle;
}

.form-field .iti__country-name {
    margin-right: 6px;
}

.form-field .iti__flag-box {
    display: inline-block;
    width: 20px;
    margin-right: 6px;
}

.form-field .iti__divider {
    padding-bottom: 5px;
    margin-bottom: 5px;
    border-bottom: 1px solid #ccc;
}

.form-field .iti ~ .form-label {
    left: 90px !important;
    top: 14px !important;
}

.iti__search-icon {
    right: 8px;
    left: initial;
}

.form-field #signupform-phone + .form-label {
    left: 15px !important;
    top: 5px !important;
}

@media screen and (max-width: 767px) {
    .form-field .iti input {
        padding-left: 80px !important;
    }
    
    .form-field .iti input + .form-label {
        left: 80px !important;
    }
    
    .form-field .iti__selected-flag {
        width: 75px;
    }
}